# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{runt}
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Matthew Lipper"]
  s.date = %q{2008-06-30}
  s.description = %q{Runt is a Ruby version of temporal patterns by Martin Fowler. Runt provides an API for scheduling recurring events using set-like semantics.}
  s.email = %q{mlipper@gmail.com}
  s.extra_rdoc_files = ["README", "CHANGES", "TODO", "LICENSE.txt", "doc/tutorial_te.rdoc", "doc/tutorial_schedule.rdoc", "doc/tutorial_sugar.rdoc"]
  s.files = ["setup.rb", "LICENSE.txt", "Rakefile", "TODO", "CHANGES", "README", "lib/runt/pdate.rb", "lib/runt/dprecision.rb", "lib/runt/temporalexpression.rb", "lib/runt/daterange.rb", "lib/runt/schedule.rb", "lib/runt/sugar.rb", "lib/runt/expressionbuilder.rb", "lib/runt.rb", "test/reweektest.rb", "test/icalendartest.rb", "test/everytetest.rb", "test/combinedexpressionstest.rb", "test/wimonthtest.rb", "test/reyeartest.rb", "test/runttest.rb", "test/uniontest.rb", "test/yeartetest.rb", "test/daterangetest.rb", "test/baseexpressiontest.rb", "test/spectest.rb", "test/collectiontest.rb", "test/scheduletest.rb", "test/pdatetest.rb", "test/dprecisiontest.rb", "test/intersecttest.rb", "test/dimonthtest.rb", "test/temporalexpressiontest.rb", "test/redaytest.rb", "test/diweektest.rb", "test/difftest.rb", "test/dayintervaltetest.rb", "test/remonthtest.rb", "test/rspectest.rb", "test/aftertetest.rb", "test/sugartest.rb", "test/beforetetest.rb", "test/expressionbuildertest.rb", "examples/schedule_tutorial.rb", "examples/schedule_tutorialtest.rb", "examples/reminder.rb", "examples/payment_report.rb", "examples/payment_reporttest.rb", "doc/tutorial_te.rdoc", "doc/tutorial_schedule.rdoc", "doc/tutorial_sugar.rdoc", "site/blue-robot3.css", "site/logohover.png", "site/index.html", "site/runt-logo.gif", "site/runt-logo.psd", "site/dcl-small.gif"]
  s.homepage = %q{http://runt.rubyforge.org}
  s.rdoc_options = ["--main", "README", "--title", "Runt"]
  s.require_paths = ["lib"]
  s.requirements = ["none"]
  s.rubyforge_project = %q{runt}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby Temporal Expressions.}
  s.test_files = ["test/reweektest.rb", "test/icalendartest.rb", "test/everytetest.rb", "test/combinedexpressionstest.rb", "test/wimonthtest.rb", "test/reyeartest.rb", "test/runttest.rb", "test/uniontest.rb", "test/yeartetest.rb", "test/daterangetest.rb", "test/baseexpressiontest.rb", "test/spectest.rb", "test/collectiontest.rb", "test/scheduletest.rb", "test/pdatetest.rb", "test/dprecisiontest.rb", "test/intersecttest.rb", "test/dimonthtest.rb", "test/temporalexpressiontest.rb", "test/redaytest.rb", "test/diweektest.rb", "test/difftest.rb", "test/dayintervaltetest.rb", "test/remonthtest.rb", "test/rspectest.rb", "test/aftertetest.rb", "test/sugartest.rb", "test/beforetetest.rb", "test/expressionbuildertest.rb", "examples/schedule_tutorialtest.rb", "examples/payment_reporttest.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
